- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties

# QItemDelegate Class Reference

Search for all occurrences

## Detailed Description

Definition at line 61 of file qitemdelegate.h.

`#include <qitemdelegate.h>`

Inheritance diagram for QItemDelegate:
[legend]

List of all members.

## Public Member Functions
| QItemDelegate (QObject *parent=0)
| ~QItemDelegate ()
bool | hasClipping () const
void | setClipping (bool clip)
void | paint (QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const
QSize | sizeHint (const QStyleOptionViewItem &option, const QModelIndex &index) const
QWidget * | createEditor (QWidget *parent, const QStyleOptionViewItem &option, const QModelIndex &index) const
void | setEditorData (QWidget *editor, const QModelIndex &index) const
void | setModelData (QWidget *editor, QAbstractItemModel *model, const QModelIndex &index) const
void | updateEditorGeometry (QWidget *editor, const QStyleOptionViewItem &option, const QModelIndex &index) const
QItemEditorFactory * | itemEditorFactory () const
void | setItemEditorFactory (QItemEditorFactory *factory)
## Protected Member Functions
virtual void | drawDisplay (QPainter *painter, const QStyleOptionViewItem &option, const QRect &rect, const QString &text) const
virtual void | drawDecoration (QPainter *painter, const QStyleOptionViewItem &option, const QRect &rect, const QPixmap &pixmap) const
virtual void | drawFocus (QPainter *painter, const QStyleOptionViewItem &option, const QRect &rect) const
virtual void | drawCheck (QPainter *painter, const QStyleOptionViewItem &option, const QRect &rect, Qt::CheckState state) const
void | drawBackground (QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const
void | doLayout (const QStyleOptionViewItem &option, QRect *checkRect, QRect *iconRect, QRect *textRect, bool hint) const
QRect | rect (const QStyleOptionViewItem &option, const QModelIndex &index, int role) const
bool | eventFilter (QObject *object, QEvent *event)
bool | editorEvent (QEvent *event, QAbstractItemModel *model, const QStyleOptionViewItem &option, const QModelIndex &index)
QStyleOptionViewItem | setOptions (const QModelIndex &index, const QStyleOptionViewItem &option) const
QPixmap | decoration (const QStyleOptionViewItem &option, const QVariant &variant) const
QPixmap * | selected (const QPixmap &pixmap, const QPalette &palette, bool enabled) const
QRect | check (const QStyleOptionViewItem &option, const QRect &bounding, const QVariant &variant) const
QRect | textRectangle (QPainter *painter, const QRect &rect, const QFont &font, const QString &text) const
## Properties
bool | clipping

## Constructor & Destructor Documentation

QItemDelegate | ( | QObject * | parent = `0` | ) | `[explicit]`

~QItemDelegate | ( |  | ) |

## Member Function Documentation

bool hasClipping | ( |  | ) | const

Search for all occurrences

void setClipping | ( | bool | clip | ) |

Search for all occurrences

void paint | ( | QPainter * | painter,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAbstractItemDelegate.

QSize sizeHint | ( | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAbstractItemDelegate.

QWidget* createEditor | ( | QWidget * | parent,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemDelegate.

void setEditorData | ( | QWidget * | editor,
|  | const QModelIndex & | index
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemDelegate.

void setModelData | ( | QWidget * | editor,
|  | QAbstractItemModel * | model,
|  | const QModelIndex & | index
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemDelegate.

void updateEditorGeometry | ( | QWidget * | editor,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemDelegate.

QItemEditorFactory* itemEditorFactory | ( |  | ) | const

Search for all occurrences

void setItemEditorFactory | ( | QItemEditorFactory * | factory | ) |

Search for all occurrences

virtual void drawDisplay | ( | QPainter * | painter,
|  | const QStyleOptionViewItem & | option,
|  | const QRect & | rect,
|  | const QString & | text
| ) |  | const `[protected, virtual]`

Search for all occurrences

virtual void drawDecoration | ( | QPainter * | painter,
|  | const QStyleOptionViewItem & | option,
|  | const QRect & | rect,
|  | const QPixmap & | pixmap
| ) |  | const `[protected, virtual]`

Search for all occurrences

virtual void drawFocus | ( | QPainter * | painter,
|  | const QStyleOptionViewItem & | option,
|  | const QRect & | rect
| ) |  | const `[protected, virtual]`

Search for all occurrences

virtual void drawCheck | ( | QPainter * | painter,
|  | const QStyleOptionViewItem & | option,
|  | const QRect & | rect,
|  | Qt::CheckState | state
| ) |  | const `[protected, virtual]`

Search for all occurrences

void drawBackground | ( | QPainter * | painter,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index
| ) |  | const `[protected]`

Search for all occurrences

void doLayout | ( | const QStyleOptionViewItem & | option,
|  | QRect * | checkRect,
|  | QRect * | iconRect,
|  | QRect * | textRect,
|  | bool | hint
| ) |  | const `[protected]`

Search for all occurrences

QRect rect | ( | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index,
|  | int | role
| ) |  | const `[protected]`

Search for all occurrences

bool eventFilter | ( | QObject * | object,
|  | QEvent * | event
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

bool editorEvent | ( | QEvent * | event,
|  | QAbstractItemModel * | model,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemDelegate.

QStyleOptionViewItem setOptions | ( | const QModelIndex & | index,
|  | const QStyleOptionViewItem & | option
| ) |  | const `[protected]`

Search for all occurrences

QPixmap decoration | ( | const QStyleOptionViewItem & | option,
|  | const QVariant & | variant
| ) |  | const `[protected]`

Search for all occurrences

QPixmap* selected | ( | const QPixmap & | pixmap,
|  | const QPalette & | palette,
|  | bool | enabled
| ) |  | const `[protected]`

Search for all occurrences

QRect check | ( | const QStyleOptionViewItem & | option,
|  | const QRect & | bounding,
|  | const QVariant & | variant
| ) |  | const `[protected]`

Search for all occurrences

QRect textRectangle | ( | QPainter * | painter,
|  | const QRect & | rect,
|  | const QFont & | font,
|  | const QString & | text
| ) |  | const `[protected]`

Search for all occurrences

## Property Documentation

bool clipping `[read, write]`

Search for all occurrences

Definition at line 64 of file qitemdelegate.h.

The documentation for this class was generated from the following file:

- QtGui/qitemdelegate.h

QItemDelegate QItemDelegate QItemDelegate QItemDelegate QItemDelegate QItemDelegate QItemDelegate QItemDelegate QItemDelegate QItemDelegate
QItemDelegate QItemDelegate QItemDelegate QItemDelegate QItemDelegate QItemDelegate QItemDelegate QItemDelegate QItemDelegate QItemDelegate